<nz-header>
  <div class="logo" routerLink="/home"></div>

  <ul nz-menu nzMode="horizontal">
    <!-- <li nz-menu-item
        routerLink="/analytics-engines"
        *ngIf="environment.pageVisibility.analyses && loggedIn && !loggedIn?.isProvider"
        i18n="Analyses | Header entry @@anaylticsEngineHeader"
        [nzMatchRouter]="true"
    >
      Analyses
    </li> -->

    <li nz-menu-item
        routerLink="/consent-history"
        *ngIf="environment.pageVisibility.consent_history && loggedIn && !loggedIn?.isProvider"
        i18n="Consent History | Header entry @@consentHistoryHeader"
        [nzMatchRouter]="true"
    >
      Consent History
    </li>

    <!-- <li nz-menu-item
        routerLink="/consent-management"
        *ngIf="environment.pageVisibility.consent_management && loggedIn && !loggedIn?.isProvider"
        i18n="Consent Management | Header entry @@consentManagmentHeader"
        [nzMatchRouter]="true"
    >
      Consent Management
    </li> -->

    <li nz-menu-item
        routerLink="/merge-actors"
        *ngIf="environment.pageVisibility.merge_data && loggedIn && !loggedIn?.isProvider"
        i18n="Merge Data | Header entry @@mergeDataHeader"
        [nzMatchRouter]="true"
    >
      Merge Data
    </li>

    <li nz-menu-item
        routerLink="/provider"
        *ngIf="loggedIn?.isProvider"
        [nzMatchRouter]="true"
        i18n="Provider | Header Entry @@providerHeader"
    >
      Provider
    </li>

    <li nz-menu-item
        routerLink="/application-tokens"
        *ngIf="loggedIn?.isProvider"
        i18n="Application Tokens | Header Entry @@applicationTokens"
        [nzMatchRouter]="true"
    >
      Application Tokens
    </li>

    <li nz-menu-item
        routerLink="/analytics-tokens"
        *ngIf="loggedIn?.isProvider"
        i18n="Analytics Tokens | Header Entry @@analyticsTokens"
        [nzMatchRouter]="true"
    >
      Analytics Tokens
    </li>

    <li nz-menu-item
        routerLink="/control-center"
        *ngIf="loggedIn?.isProvider"
        i18n="Control Center | Header Entry @@controlCenter"
        [nzMatchRouter]="true"
    >
      Control Center
    </li>
  </ul>

  <div class="account">
    <button nz-button *ngIf="!loggedIn" (click)="handleSSOClick()">Single Sign-On (SSO)</button>

    <div *ngIf="loggedIn" class="login-info">
        <a nz-dropdown [nzDropdownMenu]="menu" class="user-email">
          {{ loggedIn.email }}
          <i nz-icon nzType="down" nzTheme="outline"></i>
        </a>
    
      <nz-dropdown-menu #menu="nzDropdownMenu">
        <ul nz-menu>
          <li nz-menu-item routerLink="/profil">
            <span class="menu-item">
              <fa-icon [icon]="faUser" class="menu-icon"></fa-icon>
              <span class="menu-text" 
                    i18n="Profile | Header profile dropdown entry @@profileProfileDropDown">
                Profile
              </span>
            </span>
          </li>
    
          <li nz-menu-item 
              routerLink="/data-disclosure" 
              *ngIf="environment.pageVisibility.data_disclosure && !loggedIn?.isProvider">
            <span class="menu-item">
              <fa-icon [icon]="faDownload" class="menu-icon"></fa-icon>
              <span class="menu-text"
                    i18n="Data disclosure | Header profile dropdown entry @@dataDisclosureProfileDropDown">
                Data disclosure
              </span>
            </span>
          </li>
    
          <li nz-menu-item routerLink="/data-removal" *ngIf="!loggedIn?.isProvider">
            <span class="menu-item">
              <fa-icon [icon]="faTrash" class="menu-icon"></fa-icon>
              <span class="menu-text"
                    i18n="Data removal | Header profile dropdown entry @@dataRemovalProfileDropDown">
                Data removal
              </span>
            </span>
          </li>
    
          <li nz-menu-item (click)="logout()">
            <span class="menu-item">
              <fa-icon [icon]="faSignOutAlt" class="menu-icon"></fa-icon>
              <span class="menu-text"
                    i18n="Logout | Header profile dropdown entry @@logoutProfileDropDown">
                Logout
              </span>
            </span>
          </li>
        </ul>
      </nz-dropdown-menu>
    </div>    
  </div>
</nz-header>
